NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.LineDesigner.RailOpeningFeatureBuilder Class Reference

Represents a LineDesigner.RailOpeningFeature builder More...

Inheritance diagram for NXOpen.LineDesigner.RailOpeningFeatureBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  GateOpeningStyle { Left, Middle, Right }
 This enum is providing possible gate opening styles More...
 

Public Member Functions

unsafe NXOpen.Direction GetDirVector ()
 Direction of rail opening More...
 
unsafe void SetDirVector (NXOpen.Direction dirVector)
  More...
 
unsafe void SetRailingFeature (NXOpen.Features.Feature railingFrec)
  More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression LinearDimElevation [get]
 Returns the rail opening elevation More...
 
unsafe NXOpen.Expression LinearDimGateThickness [get]
 Returns the gate thickness More...
 
unsafe NXOpen.Expression LinearDimOpeningWidth [get]
 Returns the rail opening width More...
 
unsafe bool OpeningAddGate [get, set]
 Returns or sets the opening add gate is return More...
 
unsafe
NXOpen.LineDesigner.RailOpeningFeatureBuilder.GateOpeningStyle 
OpeningStyleEnum [get, set]
 Returns or sets the rail opening style enum More...
 
unsafe bool ReverseDirection [get, set]
 Returns or sets the reverse direction of rail opening More...
 
unsafe NXOpen.Point SelectPoint [get, set]
 Returns or sets the selected point of rail opening feature More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a LineDesigner.RailOpeningFeature builder

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreateRailOpeningFeatureBuilder

Default values.

Property Value

LinearDimElevation.Value

650 (millimeters part), 25.6 (inches part)

LinearDimGateThickness.Value

37.5 (millimeters part), 1.5 (inches part)

LinearDimOpeningWidth.Value

350 (millimeters part), 14 (inches part)

OpeningAddGate

0

OpeningStyleEnum

Left

Created in NX9.0.0

Member Enumeration Documentation

This enum is providing possible gate opening styles

Enumerator
Left 
Middle 
Right 

Member Function Documentation

unsafe NXOpen.Direction NXOpen.LineDesigner.RailOpeningFeatureBuilder.GetDirVector ( )
inline

Direction of rail opening

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Returns
unsafe void NXOpen.LineDesigner.RailOpeningFeatureBuilder.SetDirVector ( NXOpen.Direction  dirVector)
inline

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Parameters
dirVector
unsafe void NXOpen.LineDesigner.RailOpeningFeatureBuilder.SetRailingFeature ( NXOpen.Features.Feature  railingFrec)
inline

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Parameters
railingFrec

Property Documentation

unsafe NXOpen.Expression NXOpen.LineDesigner.RailOpeningFeatureBuilder.LinearDimElevation
get

Returns the rail opening elevation

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Expression NXOpen.LineDesigner.RailOpeningFeatureBuilder.LinearDimGateThickness
get

Returns the gate thickness

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Expression NXOpen.LineDesigner.RailOpeningFeatureBuilder.LinearDimOpeningWidth
get

Returns the rail opening width

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe bool NXOpen.LineDesigner.RailOpeningFeatureBuilder.OpeningAddGate
getset

Returns or sets the opening add gate is return

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.LineDesigner.RailOpeningFeatureBuilder.GateOpeningStyle NXOpen.LineDesigner.RailOpeningFeatureBuilder.OpeningStyleEnum
getset

Returns or sets the rail opening style enum

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe bool NXOpen.LineDesigner.RailOpeningFeatureBuilder.ReverseDirection
getset

Returns or sets the reverse direction of rail opening

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.Point NXOpen.LineDesigner.RailOpeningFeatureBuilder.SelectPoint
getset

Returns or sets the selected point of rail opening feature

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.